Eclipse GEF 3.3

## org.eclipse.gef.ui.palette.customize
Class PaletteCustomizationAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gef.ui.palette.customize.PaletteCustomizationAction

All Implemented Interfaces:
  IAction

public abstract class PaletteCustomizationAction
extends Action

`PaletteCustomizationAction`s are used to manipulate the palette model. They can enable and disable themselves when needed.

This class is mainly a result of code-factoring.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`PaletteCustomizationAction()`

Method Summary
`void` `setImageDescriptor(ImageDescriptor newImage)`
`abstract void` `update()` Call this method to have the action update its state and enable or disable itself.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### PaletteCustomizationAction

    public PaletteCustomizationAction()

Method Detail

### update

    public abstract void update()

  Call this method to have the action update its state and enable or disable itself.

### setImageDescriptor

    public void setImageDescriptor(ImageDescriptor newImage)

  See Also:
    `Action.setImageDescriptor(ImageDescriptor)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.